Rygel.SimpleContainer.is_child_id_unique – librygel-server Reference Manual

# is_child_id_unique

## Description:

protected `bool` is_child_id_unique (`string` child_id)

Check that the ID is unique within this container.

This is useful only when implementing derived classes.

## Parameters:

child_id | The ID to check for uniqueness.

## Returns:

true if the child ID is unique within this container.